Get Lifecycle Profiles

Retrieves lifecycle profile list matching search criteria. This operation requires administrator role.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

GET /api/sonar/lifecycle-profiles
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/lifecycle-profiles
Request Parameters
KeyRequiredTypeDescriptionNotes
offsetN32-bit integerNumber to skipDefault: 0
limitN32-bit integerMaximum countDefault: all if not specified
keywordsNStringSearch keywordsSearches in name and description fields

Success Response

HTTP status code 200 response

{
  "total_count": 3,
  "profiles": [
    {
      "guid": "76b8699d-91a1-4576-a908-7db753570a0a",
      "name": "default",
      "description": "Default lifecycle profile",
      "created": "2023-09-23 17:13:15+0900",
      "updated": "2023-09-23 17:13:15+0900"
    }
  ]
}
Response Fields
FieldTypeDescription
total_count32-bit integerTotal count of profiles matching search criteria
profilesArrayLifecycle profile list
profiles[].guidStringProfile GUID
profiles[].nameStringProfile name
profiles[].descriptionStringProfile description
profiles[].createdStringCreation date/time (yyyy-MM-dd HH:mm:ssZ format)
profiles[].updatedStringModification date/time (yyyy-MM-dd HH:mm:ssZ format)

Error Responses

offset, limit: non-integer values

HTTP status code 400 response

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset, limit: negative values

HTTP status code 400 response

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
permission: no lifecycle profile viewing permission

HTTP status code 500 response

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}